List Tts Voices
curl --request GET \
--url https://api.edenai.run/v3/info/audio/tts/voicesimport requests
url = "https://api.edenai.run/v3/info/audio/tts/voices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.edenai.run/v3/info/audio/tts/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"models": [
"<string>"
],
"languages": [
"<string>"
],
"gender": "male",
"object": "voice",
"preview_url": "<string>",
"default": false
}
],
"object": "list"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}info
List Tts Voices
List the voices accepted by the text-to-speech models, with language and gender.
Send a listed id (or its name) as voice in the request input. Each voice carries the
model identifiers that accept it, in the audio/tts/{provider}[/{model}] format.
GET
/
v3
/
info
/
audio
/
tts
/
voices
List Tts Voices
Query Parameters
Restrict to one model, e.g. 'audio/tts/google/wavenet'. Default: every text-to-speech model available to you.
Keep voices speaking this language. A bare code ('fr') matches every region; 'fr-CA' matches that locale only. Multilingual voices are always kept.
Keep voices of this gender.
Available options:
male, female, unknown